Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CIAO::Port_Activator_T< SERV, EXEC, CONTEXT, COMP_SERV > Class Template Reference

Concrete class that implements the strategy for creating the right type of servant for the ports in question. More...

`#include <Port_Activator_T.h>`

Inheritance diagram for CIAO::Port_Activator_T< SERV, EXEC, CONTEXT, COMP_SERV >:

[legend]
Collaboration diagram for CIAO::Port_Activator_T< SERV, EXEC, CONTEXT, COMP_SERV >:

[legend]
List of all members.

## Public Types
typedef SERV | SERVANT
## Public Member Functions
| Port_Activator_T (const char *oid, const char *name, Port_Activator::Type t, EXEC *e, CONTEXT *c, COMP_SERV *cs)
PortableServer::Servant | activate (const PortableServer::ObjectId &oid ACE_ENV_ARG_DECL)
void | deactivate (const PortableServer::Servant servant ACE_ENV_ARG_DECL)
## Private Attributes
EXEC * | executor_
| The executor.
CONTEXT * | context_
| Context classes.
COMP_SERV * | comp_serv_
| COmponent servant which created <this>.

## Detailed Description

### template<typename SERV, typename EXEC, typename CONTEXT, typename COMP_SERV>
class CIAO::Port_Activator_T< SERV, EXEC, CONTEXT, COMP_SERV >

Concrete class that implements the strategy for creating the right type of servant for the ports in question.

This class is parametrized by the servant type for the port, the executor type for the port, the context for the component and the component servant which instantiated this class within the container.

## Member Typedef Documentation

template<typename SERV, typename EXEC, typename CONTEXT, typename COMP_SERV>
typedef SERV CIAO::Port_Activator_T< SERV, EXEC, CONTEXT, COMP_SERV >::SERVANT

## Constructor & Destructor Documentation

template<typename SERV, typename EXEC, typename CONTEXT, typename COMP_SERV>
CIAO::Port_Activator_T< SERV, EXEC, CONTEXT, COMP_SERV >::Port_Activator_T | ( | const char * | oid,
|  | const char * | name,
|  | Port_Activator::Type | t,
|  | EXEC * | e,
|  | CONTEXT * | c,
|  | COMP_SERV * | cs
| ) |

## Member Function Documentation

template<typename SERV, typename EXEC, typename CONTEXT, typename COMP_SERV>
PortableServer::Servant CIAO::Port_Activator_T< SERV, EXEC, CONTEXT, COMP_SERV >::activate | ( | const PortableServer::ObjectId &oid | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Template method from the base class, please see the base class documentation for details. Implements CIAO::Port_Activator.

template<typename SERV, typename EXEC, typename CONTEXT, typename COMP_SERV>
void CIAO::Port_Activator_T< SERV, EXEC, CONTEXT, COMP_SERV >::deactivate | ( | const PortableServer::Servant servant | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Implements CIAO::Port_Activator.

## Member Data Documentation

template<typename SERV, typename EXEC, typename CONTEXT, typename COMP_SERV>
COMP_SERV* CIAO::Port_Activator_T< SERV, EXEC, CONTEXT, COMP_SERV >::comp_serv_`[private]`

| COmponent servant which created <this>.

template<typename SERV, typename EXEC, typename CONTEXT, typename COMP_SERV>
CONTEXT* CIAO::Port_Activator_T< SERV, EXEC, CONTEXT, COMP_SERV >::context_`[private]`

| Context classes.

template<typename SERV, typename EXEC, typename CONTEXT, typename COMP_SERV>
EXEC* CIAO::Port_Activator_T< SERV, EXEC, CONTEXT, COMP_SERV >::executor_`[private]`

| The executor.

The documentation for this class was generated from the following files:

- Port_Activator_T.h
- Port_Activator_T.cpp